/**
 * Contact API
 * an api that prevents your private data from floating around the internet
 *
 * The version of the OpenAPI document: 1.0.0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
package cc.rbbl.okforms.core.dtos

import kotlinx.datetime.LocalDate
import kotlinx.serialization.Serializable

/**
 *
 * @param id
 * @param firstName
 * @param middleName
 * @param lastName
 * @param pseudonym
 * @param dateOfBirth
 * @param age
 * @param phone
 * @param mail
 * @param website
 * @param company
 * @param position
 * @param pictureUrl
 */
@Serializable
data class Contact(
    val id: Int,
    val firstName: String? = null,
    val middleName: String? = null,
    val lastName: String? = null,
    val pseudonym: String? = null,
    val dateOfBirth: LocalDate? = null,
    val age: Int? = null,
    val phone: String? = null,
    val mail: String? = null,
    val website: String? = null,
    val company: String? = null,
    val position: String? = null,
    val pictureUrl: String? = null
)

